Debian Bug report logs - #110254
option --clear does not work as explained in the man page

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jochen Voss <jvoss2@gmx.de>

Date: Mon, 27 Aug 2001 10:03:01 UTC

Severity: normal

Found in version 0.9a-20010527-1

Fixed in version dialog/0.9a-20010827-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to "Thomas E. Dickey" <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#110254; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <jvoss2@gmx.de>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: option --clear does not work as explained in the man page
Date: Mon, 27 Aug 2001 11:48:14 +0200
Package: dialog
Version: 0.9a-20010527-1
Severity: normal

Hi,

in the dialog manual page I read in the synopsis section

       dialog --clear

and lateron

       --clear
              The  screen will be cleared to the screen attribute
              on exit.  This may be  used  alone,  without  other
              options.

This does not work:

    voss@tatonka [~] dialog --clear
    cdialog (ComeOn Dialog!) version 0.9a-20010527

    * Display dialog boxes from shell scripts *

    Usage: dialog <options> { --and-widget <options> }
    [...]

Jochen

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux tatonka 2.4.9 #1 Sun Aug 19 17:24:31 CEST 2001 i586
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               1.15           Miscellaneous utilities specific t
ii  libc6                     2.2.4-1        GNU C Library: Shared libraries an
ii  libncurses5               5.2.20010318-2 Shared libraries for terminal hand




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 110254-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Thomas E. Dickey" <dickey@herndon4.his.com>
Cc: <110254-forwarded@bugs.debian.org>, Jochen Voss <jvoss2@gmx.de>
Subject: Bug#110254: option --clear does not work as explained in the man page (fwd)
Date: Mon, 27 Aug 2001 13:52:17 +0200 (CEST)
Hello.

Received today.

[ I've checked and this also reproduces in latest release ].

---------- Forwarded message ----------
Date: Mon, 27 Aug 2001 11:48:14 +0200
From: Jochen Voss <jvoss2@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#110254: option --clear does not work as explained in the man page

Package: dialog
Version: 0.9a-20010527-1
Severity: normal

Hi,

in the dialog manual page I read in the synopsis section

       dialog --clear

and lateron

       --clear
              The  screen will be cleared to the screen attribute
              on exit.  This may be  used  alone,  without  other
              options.

This does not work:

    voss@tatonka [~] dialog --clear
    cdialog (ComeOn Dialog!) version 0.9a-20010527

    * Display dialog boxes from shell scripts *

    Usage: dialog <options> { --and-widget <options> }
    [...]

Jochen

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux tatonka 2.4.9 #1 Sun Aug 19 17:24:31 CEST 2001 i586
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               1.15           Miscellaneous utilities specific t
ii  libc6                     2.2.4-1        GNU C Library: Shared libraries an
ii  libncurses5               5.2.20010318-2 Shared libraries for terminal hand





Message #9 received at 110254-forwarded@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: <110254-forwarded@bugs.debian.org>, Jochen Voss <jvoss2@gmx.de>
Subject: Re: Bug#110254: option --clear does not work as explained in the man page (fwd)
Date: Mon, 27 Aug 2001 08:20:14 -0400 (EDT)
On Mon, 27 Aug 2001, Santiago Vila wrote:

> Hello.
>
> Received today.
>
> [ I've checked and this also reproduces in latest release ].

ok. I see the problem - see dialog.c around line 667 - but don't recall if
that was one of Vincent's changes, or if it's been that way for longer.
It's simple to fix (I'll do that tonight).

>
> ---------- Forwarded message ----------
> Date: Mon, 27 Aug 2001 11:48:14 +0200
> From: Jochen Voss <jvoss2@gmx.de>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Subject: Bug#110254: option --clear does not work as explained in the man page
>
> Package: dialog
> Version: 0.9a-20010527-1
> Severity: normal
>
> Hi,
>
> in the dialog manual page I read in the synopsis section
>
>        dialog --clear
>
> and lateron
>
>        --clear
>               The  screen will be cleared to the screen attribute
>               on exit.  This may be  used  alone,  without  other
>               options.
>
> This does not work:
>
>     voss@tatonka [~] dialog --clear
>     cdialog (ComeOn Dialog!) version 0.9a-20010527
>
>     * Display dialog boxes from shell scripts *
>
>     Usage: dialog <options> { --and-widget <options> }
>     [...]
>
> Jochen
>
> -- System Information
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux tatonka 2.4.9 #1 Sun Aug 19 17:24:31 CEST 2001 i586
> Locale: LANG=de_DE, LC_CTYPE=de_DE
>
> Versions of packages dialog depends on:
> ii  debianutils               1.15           Miscellaneous utilities specific t
> ii  libc6                     2.2.4-1        GNU C Library: Shared libraries an
> ii  libncurses5               5.2.20010318-2 Shared libraries for terminal hand
>
>
>

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#110254; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #14 received at 110254@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com
To: 110254@bugs.debian.org
Cc: dickey@herndon4.his.com
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=110254&repeatmerged=
Date: Fri, 12 Oct 2001 19:58:25 -0400
I fixed this the same day (20010827)

                       Debian Bug report logs - #110254
>           option --clear does not work as explained in the man page
>
>   Package:  dialog; ;Reported by: Jochen Voss <jvoss2@gmx.de>; Forwarded
>   to  "Thomas  E.  Dickey"  <dickey@herndon4.his.com>; dated Mon, 27 Aug
>   2001   10:03:01   UTC;   Maintainer   for   dialog  is  Santiago  Vila
>   <sanvila@debian.org>.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jochen Voss <jvoss2@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 110254-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 110254-close@bugs.debian.org
Subject: Bug#110254: fixed in dialog 0.9a-20010827-1
Date: Sat, 13 Oct 2001 14:55:56 -0400
We believe that the bug you reported is fixed in the latest version of
dialog, which has been installed in the Debian FTP archive:

dialog_0.9a-20010827-1_i386.deb
  to pool/main/d/dialog/dialog_0.9a-20010827-1_i386.deb
dialog_0.9a-20010827-1.dsc
  to pool/main/d/dialog/dialog_0.9a-20010827-1.dsc
dialog_0.9a-20010827.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9a-20010827.orig.tar.gz
dialog_0.9a-20010827-1.diff.gz
  to pool/main/d/dialog/dialog_0.9a-20010827-1.diff.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 110254@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Sat, 13 Oct 2001 20:14:15 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20010827-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 110254
Changes: 
 dialog (0.9a-20010827-1) unstable; urgency=low
 .
   * New upstream release, dialog --clear should now work (Closes: #110254).
Files: 
 ee57d6c47ad9e3a72421d7e9410e5e2f 628 misc optional dialog_0.9a-20010827-1.dsc
 fa39ff92b3029948f552c7be341b244c 191994 misc optional dialog_0.9a-20010827.orig.tar.gz
 e824dd0eccebbf67ef4365aec7eb3489 5057 misc optional dialog_0.9a-20010827-1.diff.gz
 b03930ebc83be11075883bdbf7d8c230 95540 misc optional dialog_0.9a-20010827-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7yIVDd9Uuvj7yPNYRArpFAKCgnzd1Hu2tDRF1y25tAZ4QGgcJqACePpvn
OwL4DIo2WYacRFP/zZFSX7M=
=Vbmb
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:10:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.